Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.init
Class ComponentDescriptor

    java.lang.Object
      org.jboss.seam.init.ComponentDescriptor

All Implemented Interfaces:
  Comparable<ComponentDescriptor>

    public class ComponentDescriptor

extends Object
implements Comparable<ComponentDescriptor>

Meta-data about a Seam component.

Author:
  Norman Richards

Nested Class Summary
`static class` | `ComponentDescriptor.PrecedenceComparator`

Field Summary
`protected Boolean` | `autoCreate`
`protected Class<?>` | `componentClass`
`protected Boolean` | `installed`
`protected String` | `jndiName`
`protected String` | `name`
`protected Integer` | `precedence`
`protected ScopeType` | `scope`
`protected Boolean` | `startup`

Constructor Summary
`ComponentDescriptor(Class componentClass)` For a scanned default role
`ComponentDescriptor(Class componentClass, Boolean installed)` For built-ins with special rules
`ComponentDescriptor(String name, Class<?> componentClass, ScopeType scope)` For a scanned role
`ComponentDescriptor(String name, Class<?> componentClass, ScopeType scope, Boolean autoCreate, Boolean startup, String jndiName, Boolean installed, Integer precedence)` For components.xml

Method Summary
`int` | `compareTo(ComponentDescriptor other)`
`String[]` | `getClassDependencies()`
`Class` | `getComponentClass()`
`String[]` | `getDependencies()`
`Class[]` | `getGenericDependencies()`
`String` | `getJndiName()`
`String` | `getName()`
`int` | `getPrecedence()`
`ScopeType` | `getScope()`
`boolean` | `isAutoCreate()`
`boolean` | `isFilter()`
`boolean` | `isInstalled()`
`boolean` | `isResourceProvider()`
`boolean` | `isStartup()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected String name

### componentClass

    protected Class<?> componentClass

### scope

    protected ScopeType scope

### jndiName

    protected String jndiName

### installed

    protected Boolean installed

### autoCreate

    protected Boolean autoCreate

### startup

    protected Boolean startup

### precedence

    protected Integer precedence

Constructor Detail

### ComponentDescriptor

    public ComponentDescriptor(String name,
                               Class<?> componentClass,
                               ScopeType scope,
                               Boolean autoCreate,
                               Boolean startup,
                               String jndiName,
                               Boolean installed,
                               Integer precedence)

  For components.xml

### ComponentDescriptor

    public ComponentDescriptor(String name,
                               Class<?> componentClass,
                               ScopeType scope)

  For a scanned role

### ComponentDescriptor

    public ComponentDescriptor(Class componentClass)

  For a scanned default role

### ComponentDescriptor

    public ComponentDescriptor(Class componentClass,
                               Boolean installed)

  For built-ins with special rules

Method Detail

### getName

    public String getName()

### getScope

    public ScopeType getScope()

### getComponentClass

    public Class getComponentClass()

### getJndiName

    public String getJndiName()

### isStartup

    public boolean isStartup()

### isAutoCreate

    public boolean isAutoCreate()

### getDependencies

    public String[] getDependencies()

### getGenericDependencies

    public Class[] getGenericDependencies()

### getClassDependencies

    public String[] getClassDependencies()

### isInstalled

    public boolean isInstalled()

### getPrecedence

    public int getPrecedence()

### compareTo

    public int compareTo(ComponentDescriptor other)

  Specified by:
    `compareTo` in interface `Comparable<ComponentDescriptor>`

### isFilter

    public boolean isFilter()

### isResourceProvider

    public boolean isResourceProvider()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD